[kernel] r5574 -
dists/trunk/arch/mips/linux-patch-2.6.15-mips-2.6.15/debian/patches
Martin Michlmayr
tbm at costa.debian.org
Mon Jan 23 19:24:15 UTC 2006
Author: tbm
Date: Mon Jan 23 19:24:15 2006
New Revision: 5574
Added:
dists/trunk/arch/mips/linux-patch-2.6.15-mips-2.6.15/debian/patches/69_add_mips3.dpatch (contents, props changed)
Modified:
dists/trunk/arch/mips/linux-patch-2.6.15-mips-2.6.15/debian/patches/00list
Log:
unbreak decstation build
Modified: dists/trunk/arch/mips/linux-patch-2.6.15-mips-2.6.15/debian/patches/00list
==============================================================================
--- dists/trunk/arch/mips/linux-patch-2.6.15-mips-2.6.15/debian/patches/00list (original)
+++ dists/trunk/arch/mips/linux-patch-2.6.15-mips-2.6.15/debian/patches/00list Mon Jan 23 19:24:15 2006
@@ -31,3 +31,4 @@
66_uaccess_ro_fix.dpatch
67_check_nonzero_funpoint.dpatch
68_fix_iomap_nonpci.dpatch
+69_add_mips3.dpatch
Added: dists/trunk/arch/mips/linux-patch-2.6.15-mips-2.6.15/debian/patches/69_add_mips3.dpatch
==============================================================================
--- (empty file)
+++ dists/trunk/arch/mips/linux-patch-2.6.15-mips-2.6.15/debian/patches/69_add_mips3.dpatch Mon Jan 23 19:24:15 2006
@@ -0,0 +1,36 @@
+#! /bin/sh -e
+## 69_add_mips3.dpatch by Ralf Baechle <ralf at linux-mips.org>
+##
+
+#commit 69ccd7750a75abcaf893e2d705dc82e9452376c8
+#Author: Ralf Baechle <ralf at linux-mips.org>
+#Date: Mon Jan 23 18:53:35 2006 +0000
+
+# Fix damage done by cfbc9cac62f0438cefe171736729e786b45884b8.
+
+# The .set mips3 is needed so the NMI handler builds properly when
+# configured for MIPS I even though no MIPS I processor is using it atm.
+
+# Signed-off-by: Ralf Baechle <ralf at linux-mips.org>
+
+
+
+if [ $# -lt 1 ]; then
+ echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+ exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch} ${2:+-d $2}"
+
+case "$1" in
+ -patch) patch -p1 ${patch_opts} < $0;;
+ -unpatch) patch -R -p1 ${patch_opts} < $0;;
+ *)
+ echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+ exit 1;;
+esac
+
+exit 0
+
+
More information about the Kernel-svn-changes
mailing list